<div class="_signup">
  <h3>Create an account</h3>
</div>
<form class="formField"[formGroup]="form" (ngSubmit)="log()">   
      <mat-form-field>
        <input matInput placeholder="Email Id" required type="email" autocomplete="off" formControlName="email">
        <div *ngIf="email.touched && email.invalid" >Email error</div>
      </mat-form-field>
      <mat-form-field>
        <input matInput placeholder="Phone Number" required type="number" autocomplete="off"  formControlName="phone">
      </mat-form-field>
      <mat-form-field>
        <input matInput placeholder="Password" required type="password" autocomplete="off"  formControlName="password">
      </mat-form-field>
      <mat-form-field>
        <input matInput placeholder="Confirm Password" required type="password" autocomplete="off"  formControlName="cPassword">
      </mat-form-field>      
      <button mat-raised-button class="loginButton" color="accent">Register</button>
</form>